MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030593Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2019-03-19 11:282019-04-08 12:18
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030593: Modeling Algorithms - ShapeUpgrade_ShapeDivide::Perform() throws Standard_NoMoreObject
DescriptionShapeUpgrade_ShapeDivide::Perform() throws Standard_NoMoreObject when exceptions are enabled.
Steps To ReproduceTest case bugs/modalg_2/bug21
TagsNo tags attached.
Test case numberbugs modalg_2 bug21
Attached Files

- Relationships

-  Notes
(0083102)
git (administrator)
2019-03-19 11:31

Branch CR30593 has been created by kgv.

SHA-1: 48f8f520ef8dd80a8ffc0881fcd4ba90a3627758


Detailed log of new commits:

Author: kgv
Date: Tue Mar 19 11:24:21 2019 +0300

    0030593: Modeling Algorithms - ShapeUpgrade_ShapeDivide::Perform() throws Standard_NoMoreObject
    
    Added missing TopExp_Explorer::More() check.
(0083109)
git (administrator)
2019-03-19 13:05

Branch CR30593 has been updated by kgv.

SHA-1: f41d6f8329614a2552fcdb3fd943b73cff34bbc2


Detailed log of new commits:

Author: kgv
Date: Tue Mar 19 11:31:06 2019 +0300

    BRepCheck_Analyzer::Perform() - add missing TopExp_Explorer::More() check.

(0083110)
git (administrator)
2019-03-19 13:06

Branch CR30593_1 has been created by kgv.

SHA-1: 3b4234e2601b5b33eca49c1935770ad959349a36


Detailed log of new commits:

Author: kgv
Date: Tue Mar 19 11:24:21 2019 +0300

    0030593: Modeling Algorithms - ShapeUpgrade_ShapeDivide::Perform() throws Standard_NoMoreObject
    
    Added missing TopExp_Explorer::More() checks to ShapeUpgrade_ShapeDivide::Perform() and BRepCheck_Analyzer::Perform().
(0083113)
kgv (developer)
2019-03-19 15:19

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30593_1-master-KGV/ [^]
(0083155)
msv (developer)
2019-03-20 19:28

src/BRepCheck/BRepCheck_Analyzer.cxx
- In line 150 the variable exp is always not initialized, so SetFailStatus(exp.Current()) may be simply removed.

Please check the difference in products on Linux:
IMAGE sat read_parallel_1 A1: A1.png differs [15895 different pixels]
(0083160)
git (administrator)
2019-03-20 22:21

Branch CR30593_1 has been updated forcibly by kgv.

SHA-1: d0d5c7bad6b246f9a733e56a4a0ff44f65ea8d74
(0083162)
kgv (developer)
2019-03-21 06:59

Line has been removed.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30593_1-master-KGV/ [^]
(0083169)
msv (developer)
2019-03-21 09:15

Reviewed.
(0083181)
apn (administrator)
2019-03-21 12:36

Combination -
OCCT branch : CR30593_1
master SHA - d0d5c7bad6b246f9a733e56a4a0ff44f65ea8d74
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - b3958866f73826c2eaaa9470209980d22e210fba
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16631.159999999985 / 16593.449999999997 [+0.23%]
Products
Total CPU difference: 9106.930000000042 / 9102.210000000046 [+0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 17992.734375 / 17984.46875 [+0.05%]
Products
Total CPU difference: 10544.484375 / 10609.28125 [-0.61%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083491)
git (administrator)
2019-04-08 12:18

Branch CR30593_1 has been deleted by inv.

SHA-1: d0d5c7bad6b246f9a733e56a4a0ff44f65ea8d74
(0083497)
git (administrator)
2019-04-08 12:18

Branch CR30593 has been deleted by inv.

SHA-1: f41d6f8329614a2552fcdb3fd943b73cff34bbc2

- Related Changesets
occt: master 2328cae2
Timestamp: 2019-03-19 08:24:21
Author: kgv
Committer: apn
Details ] Diff ]
0030593: Modeling Algorithms - ShapeUpgrade_ShapeDivide::Perform() throws Standard_NoMoreObject

Added missing TopExp_Explorer::More() checks to ShapeUpgrade_ShapeDivide::Perform() and BRepCheck_Analyzer::Perform().
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ShapeDivide.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-19 11:28 kgv New Issue
2019-03-19 11:28 kgv Assigned To => msv
2019-03-19 11:31 git Note Added: 0083102
2019-03-19 13:05 git Note Added: 0083109
2019-03-19 13:06 git Note Added: 0083110
2019-03-19 15:19 kgv Note Added: 0083113
2019-03-19 15:19 kgv Status new => resolved
2019-03-20 19:28 msv Note Added: 0083155
2019-03-20 19:28 msv Assigned To msv => kgv
2019-03-20 19:28 msv Status resolved => assigned
2019-03-20 22:21 git Note Added: 0083160
2019-03-21 06:59 kgv Note Added: 0083162
2019-03-21 06:59 kgv Assigned To kgv => msv
2019-03-21 06:59 kgv Status assigned => resolved
2019-03-21 09:15 msv Note Added: 0083169
2019-03-21 09:15 msv Assigned To msv => bugmaster
2019-03-21 09:15 msv Status resolved => reviewed
2019-03-21 12:36 apn Test case number => bugs modalg_2 bug21
2019-03-21 12:36 apn Note Added: 0083181
2019-03-21 12:36 apn Status reviewed => tested
2019-03-24 18:54 apn Changeset attached => occt master 2328cae2
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:18 git Note Added: 0083491
2019-04-08 12:18 git Note Added: 0083497


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker